cURL
curl "https://api.haau3.com/v1/fhir/r4/HealthcareService/HealthcareService-0009bcae-631e-45c0-9d3c-5691acb4a05d" \
-H "Authorization: Bearer $HAAU3_API_KEY"import { Haau3 } from "@haau3/sdk";
const haau3 = new Haau3(); // reads HAAU3_API_KEY
const healthcareService = await haau3.readHealthcareService("HealthcareService-0009bcae-631e-45c0-9d3c-5691acb4a05d");
console.log(healthcareService.id);
from haau3 import Haau3
client = Haau3() # reads HAAU3_API_KEY
healthcare_service = client.read_healthcare_service("HealthcareService-0009bcae-631e-45c0-9d3c-5691acb4a05d")
print(healthcare_service.get("id"))
package main
import (
"context"
"fmt"
"log"
"github.com/haau3/haau3-go"
)
func main() {
ctx := context.Background()
client, err := haau3.NewClient() // reads HAAU3_API_KEY
if err != nil {
log.Fatal(err)
}
healthcareService, err := client.ReadHealthcareService(ctx, "HealthcareService-0009bcae-631e-45c0-9d3c-5691acb4a05d")
if err != nil {
log.Fatal(err)
}
if healthcareService.ID != nil {
fmt.Println(*healthcareService.ID)
}
}
{
"resourceType": "HealthcareService",
"id": "HealthcareService-0009bcae-631e-45c0-9d3c-5691acb4a05d",
"meta": {
"lastUpdated": "2026-10-14T21:17:34.307230248Z",
"profile": [
"http://hl7.org/fhir/us/ndh/StructureDefinition/ndh-HealthcareService"
],
"versionId": "1"
},
"active": true,
"location": [
{
"reference": "Location/Location-ba334cb2-a0f9-4147-ab31-1c5af4ab9a4d"
}
],
"extension": [
{
"url": "http://hl7.org/fhir/us/ndh/StructureDefinition/base-ext-network-reference",
"valueReference": {
"reference": "Organization/Organization-ea579d05-454e-4359-8751-900c940a599a"
}
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}Provider directory
Read a HealthcareService
Read one healthcare service by id, as returned by a search on this service.
GET
/
v1
/
fhir
/
r4
/
HealthcareService
/
{id}
cURL
curl "https://api.haau3.com/v1/fhir/r4/HealthcareService/HealthcareService-0009bcae-631e-45c0-9d3c-5691acb4a05d" \
-H "Authorization: Bearer $HAAU3_API_KEY"import { Haau3 } from "@haau3/sdk";
const haau3 = new Haau3(); // reads HAAU3_API_KEY
const healthcareService = await haau3.readHealthcareService("HealthcareService-0009bcae-631e-45c0-9d3c-5691acb4a05d");
console.log(healthcareService.id);
from haau3 import Haau3
client = Haau3() # reads HAAU3_API_KEY
healthcare_service = client.read_healthcare_service("HealthcareService-0009bcae-631e-45c0-9d3c-5691acb4a05d")
print(healthcare_service.get("id"))
package main
import (
"context"
"fmt"
"log"
"github.com/haau3/haau3-go"
)
func main() {
ctx := context.Background()
client, err := haau3.NewClient() // reads HAAU3_API_KEY
if err != nil {
log.Fatal(err)
}
healthcareService, err := client.ReadHealthcareService(ctx, "HealthcareService-0009bcae-631e-45c0-9d3c-5691acb4a05d")
if err != nil {
log.Fatal(err)
}
if healthcareService.ID != nil {
fmt.Println(*healthcareService.ID)
}
}
{
"resourceType": "HealthcareService",
"id": "HealthcareService-0009bcae-631e-45c0-9d3c-5691acb4a05d",
"meta": {
"lastUpdated": "2026-10-14T21:17:34.307230248Z",
"profile": [
"http://hl7.org/fhir/us/ndh/StructureDefinition/ndh-HealthcareService"
],
"versionId": "1"
},
"active": true,
"location": [
{
"reference": "Location/Location-ba334cb2-a0f9-4147-ab31-1c5af4ab9a4d"
}
],
"extension": [
{
"url": "http://hl7.org/fhir/us/ndh/StructureDefinition/base-ext-network-reference",
"valueReference": {
"reference": "Organization/Organization-ea579d05-454e-4359-8751-900c940a599a"
}
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}Authorizations
Your platform API key (haau3_sk_…), sent as Authorization: Bearer <key>.
Headers
An id of your own for this request, as a UUID. It comes back in the X-Correlation-Id header and is kept with haau3's record of the request. Any value that is not a UUID is ignored. See https://docs.haau3.com/errors#request-ids.
Path Parameters
The resource id, as returned by a search on this service. Ids are opaque: they are not constructed from an NPI or any other identifier.
Pattern:
^[A-Za-z0-9\-.]{1,64}$Response
The HealthcareService, as the directory publishes it.
A FHIR R4 HealthcareService.
Allowed value:
"HealthcareService"